EllipsoidGraphics - Cesium Documentation

# EllipsoidGraphics

#### new EllipsoidGraphics(options)

  Describe an ellipsoid or sphere. The center position and orientation are determined by the containing `Entity`.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `radii` | Property |  | optional A `Cartesian3` Property specifying the radii of the ellipsoid.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the ellipsoid.
  `fill` | Property | `true` | optional A boolean Property specifying whether the ellipsoid is filled with the provided material.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the ellipsoid.
  `outline` | Property | `false` | optional A boolean Property specifying whether the ellipsoid is outlined.
  `outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
  `outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
  `subdivisions` | Property | `128` | optional A Property specifying the number of samples per outline ring, determining the granularity of the curvature.
  `stackPartitions` | Property | `64` | optional A Property specifying the number of stacks.
  `slicePartitions` | Property | `64` | optional A Property specifying the number of radial slices.

  ##### Demo:

  - Cesium Sandcastle Spheres and Ellipsoids Demo
  Source: DataSources/EllipsoidGraphics.js, line 40

### Members

#### readonlydefinitionChanged :Event

  Gets the event that is raised whenever a property or sub-property is changed or modified.
  Source: DataSources/EllipsoidGraphics.js, line 74

#### fill :Property

  Gets or sets the boolean Property specifying whether the ellipsoid is filled with the provided material.
  Default Value: `true`
  Source: DataSources/EllipsoidGraphics.js, line 109

#### material :MaterialProperty

  Gets or sets the Property specifying the material used to fill the ellipsoid.
  Default Value: `Color.WHITE`
  Source: DataSources/EllipsoidGraphics.js, line 101

#### outline :Property

  Gets or sets the Property specifying whether the ellipsoid is outlined.
  Default Value: `false`
  Source: DataSources/EllipsoidGraphics.js, line 117

#### outlineColor :Property

  Gets or sets the Property specifying the `Color` of the outline.
  Default Value: `Color.BLACK`
  Source: DataSources/EllipsoidGraphics.js, line 125

#### outlineWidth :Property

  Gets or sets the numeric Property specifying the width of the outline.
  Default Value: `1.0`
  Source: DataSources/EllipsoidGraphics.js, line 133

#### radii :Property

  Gets or sets the `Cartesian3` `Property` specifying the radii of the ellipsoid.
  Source: DataSources/EllipsoidGraphics.js, line 93

#### show :Property

  Gets or sets the boolean Property specifying the visibility of the ellipsoid.
  Default Value: `true`
  Source: DataSources/EllipsoidGraphics.js, line 86

#### slicePartitions :Property

  Gets or sets the Property specifying the number of radial slices.
  Default Value: `64`
  Source: DataSources/EllipsoidGraphics.js, line 149

#### stackPartitions :Property

  Gets or sets the Property specifying the number of stacks.
  Default Value: `64`
  Source: DataSources/EllipsoidGraphics.js, line 141

#### subdivisions :Property

  Gets or sets the Property specifying the number of samples per outline ring, determining the granularity of the curvature.
  Default Value: `128`
  Source: DataSources/EllipsoidGraphics.js, line 157

### Methods

#### clone(result) → EllipsoidGraphics

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | EllipsoidGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.
  Source: DataSources/EllipsoidGraphics.js, line 166

#### merge(source)

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | EllipsoidGraphics | The object to be merged into this object.

  Source: DataSources/EllipsoidGraphics.js, line 190